## net.sf.saxon.charcode
Class UnknownCharacterSet

    java.lang.Object
      net.sf.saxon.charcode.UnknownCharacterSet

All Implemented Interfaces:
  CharacterSet

    public class UnknownCharacterSet

extends java.lang.Object
implements CharacterSet

This class establishes properties of a character set that is known to the Java VM but not specifically known to Saxon

Field Summary
`static java.util.HashMap` `map`

Method Summary
`boolean` `inCharset(int c)` Determine if a character is present in the character set
`static UnknownCharacterSet` `makeCharSet(java.nio.charset.Charset charset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    public static java.util.HashMap map

Method Detail

### makeCharSet

    public static UnknownCharacterSet makeCharSet(java.nio.charset.Charset charset)

### inCharset

    public final boolean inCharset(int c)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

Copyright (c) Saxonica Limited. All rights reserved.